# Entity Information module

Entity Information provides a new action tab for entities holding various sorts
of information detail blocks. Several of these detail blocks are packed with
the module.

Developers can add detail blocks to their own application by creating their own
entity information plugins.

## Examples
The module contains several entity information plugins. These are also great
examples on how to create your own plugin.

## Settings
A settings page is available to enable/disable the entity information plugins.

## Plugins
Plugins of type "EntityInformation" can be used to provide information detail
blocks.

EntityInformation annotation should at least contain:
```
 * @EntityInformation(
 *   id = "plugin_id",
 *   label = @Translation("Detail block name"),
 *   bundles = {
 *     "entity_type.bundle_name"
 *   }
 * )
```

To define a plugin for all bundles of a given entity type, use the '*' wildcard:
```
 *   bundles = {
 *     "entity_type.*"
 *   }
```

Other annotation options:
```
 *   description = @Translation("short description of the plugin"),
 *   weight = 10,
 *   open = true
```
